// CUITileStars - [2020-04-13 11:57:47]
#ifndef _CUITILESTARS_H_
#define _CUITILESTARS_H_

#include "CUITile.h"

/*
00145330 CUITileStars::CUITileStars()
0014538C CUITileStars::~CUITileStars()
00145390 CUITileStars::~CUITileStars()
0014539E CUITileStars::Init()
001453BC CUITileStars::AddUserTile()
00145474 CUITileStars::Render()
001455D8 CUITileStars::RenderBase()
001455DC CUITileStars::Process()
00145630 CUITileStars::GetNumDisplayStars()

0x1AA
0x3B4

0x20A
*/
// sizeof = 0x3B4
class CUITileStars : public CUITile {
public:
  CUITileStars();                          // 00145330
  virtual ~CUITileStars();                 // 0014538C 00145390
  virtual EUITileAction Process();         // 001455DC
  virtual void Render();                   // 00145474
  virtual void Init();                     // 0014539E
  virtual void RenderBase();               // 001455D8
  virtual int GetNumDisplayStars() const;  // 00145630
  void AddUserTile();                      // 001453BC

  CUITile* m_pUITile_1AC;
  bool m_b_1B0;
  uchar unknown_1B1[0x7F];
  short m_s_230;
  uchar unknown_232[0xFE];
  bool m_b_330;
  uchar unknown_331[0x7F];
  int m_i_3B0;
};

#endif  //_CUITILESTARS_H_